	subroutine mist
c	reads in
c	(1) acceptances for particle to hit detector (A, B, D, E, pi0 or eta)
c	(2) double-scattering correction
c
	include '/u1/gcf/e350/crystal/cb/foxin'
	include '/u1/gcf/e350/crystal/cb/trigmc'
	include '/u1/rgk/icicle/cb/dblsct'
	include '/u1/gcf/e350/crystal/cb/parms'
	include '/u1/gcf/e350/crystal/cb/clouds'
	include '/u1/gcf/e350/crystal/cb/datbin'
	include '/u1/gcf/e350/crystal/cb/norm'
	dimension dummy(40)
	character*35 filnam
c
	data nptr/61/
c
102	format(' Too many acceptance sets.  Number ='i2)
103	format(' Acceptance set'i2' read from 'a35)
104	format(' Reading set no'i2' Number of energy bins ='i2)
105	format(' Energy no'i2' is 'f6.1' Acceptances:'4(/' '20f5.3))
106	format(' Stopping because acceptance set no'i3' not in ROSES')
300     format(2i5)
304	format(a35)
310     format(e11.4,i5)
320     format(6e11.4)
c
c	set up pperp/e bins
	do 1 i=1,61
1	petr(i)=float(i-1)/2400.
c
c	read in acceptances for photons to hit the detector
c	find out how many different acceptance files are required
	iacin=1
	if (notrig.eq.1) goto 30
	do 31 i=2,notrig
	j=i-1
	do 32 k=1,j
	if (iacc(i).eq.iacc(k)) goto 31
32	continue
	iacin=iacin+1
31	continue
c
30	if (iacin.gt.6) goto 10
	do 33 l=1,iacin
	read(1,304,end=44) filnam
	print 103,l,filnam
	open(7,file=filnam,access='sequential',form='formatted')
	rewind 7
	read(7,300) kset,nttr
	print 104,kset,nttr
	if (nttr.gt.8) call abort
	netr(l)=nttr
	do 3 ie=1,nttr
	read(7,310) egtr(ie,l),nepe
	if (nepe.ne.nptr) call abort
	read(7,320) (acctr(i,ie,l),i=1,nepe)
c
c	montecarlo events are generated for costheta between 0 and coscut
c	only.  Thus need to multiply all acceptances by coscut.
	coscut=1.-20./egtr(ie,l)
	do 40 i=1,nepe
40	acctr(i,ie,l)=acctr(i,ie,l)*coscut
	print 105,ie,egtr(ie,l),(acctr(i,ie,l),i=1,nepe)
3	continue
	close(7)
33	continue
c
	neds=0
c*****temporary until double scattering correction in
	return
	if (nfs) return
c
c     read in double scattering correction
	rewind imonc
	neds=0
	read(imonc,300,end=22) kset,neds
	print 104,kset,neds
	do 4 ie=1,neds
	read(imonc) xgds,npds(ie)
	egds(ie)=xgds*pinc
	nepe=npds(ie)
	read(imonc) (peds(i,ie),i=1,nepe),(accds(i,ie),i=1,nepe),
& 	(dummy(i),i=1,nepe)
	print 105,ie,egds(ie),nepe,(peds(i,ie),i=1,nepe),
& 	(accds(i,ie),i=1,nepe)
4	continue
22	return
c
10	print 102,iacin
	call abort
c
44	print 106,l
	call abort
c
	end
